"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var optimisticActions;
(function (optimisticActions) {
    optimisticActions["init"] = "INIT_OPTIMISM";
    optimisticActions["commit"] = "COMMIT_OPTIMISM";
    optimisticActions["rollback"] = "ROLLBACK_OPTIMISM";
    optimisticActions["cleanup"] = "CLEANUP_OPTIMISM";
})(optimisticActions = exports.optimisticActions || (exports.optimisticActions = {}));
function isOptimistic(action) {
    return (action.meta) && (action.meta.optimisticId != null);
}
exports.isOptimistic = isOptimistic;
//# sourceMappingURL=types.js.map